curl --request POST \
--url https://api.cadanapay.com/v1/contracts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templateId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"personId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"sender": {
"email": "batman@gothammail.com",
"name": "Batman Jr"
},
"suppressNotification": false
}
'{
"id": "ca51f42c-0adc-4a77-8dd1-a03dd4fb955f",
"name": "Jane Doe - Standard Global Contractor Agreement",
"personId": "ca51f42c-0adc-4a77-8dd1-a03dd4fb955f",
"signatures": [
{
"emailAddress": "admin@example.com",
"id": "ca51f42c-0adc-4a77-8dd1-a03dd4fb955f",
"lastViewedAt": 0,
"name": "Admin",
"order": 0,
"signedAt": 0,
"status": "unsigned"
},
{
"emailAddress": "worker@example.com",
"id": "ca51f42c-0adc-4a77-8dd1-a03dd4fb955f",
"lastViewedAt": 0,
"name": "Jane Doe",
"order": 1,
"signedAt": 0,
"status": "unsigned"
}
],
"status": "awaiting business signature",
"subject": "The contract is ready for signature",
"templateId": "ca51f42c-0adc-4a77-8dd1-a03dd4fb955f",
"title": "Acme Corp has sent you a contract for signature"
}Create a contract
curl --request POST \
--url https://api.cadanapay.com/v1/contracts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templateId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"personId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"sender": {
"email": "batman@gothammail.com",
"name": "Batman Jr"
},
"suppressNotification": false
}
'{
"id": "ca51f42c-0adc-4a77-8dd1-a03dd4fb955f",
"name": "Jane Doe - Standard Global Contractor Agreement",
"personId": "ca51f42c-0adc-4a77-8dd1-a03dd4fb955f",
"signatures": [
{
"emailAddress": "admin@example.com",
"id": "ca51f42c-0adc-4a77-8dd1-a03dd4fb955f",
"lastViewedAt": 0,
"name": "Admin",
"order": 0,
"signedAt": 0,
"status": "unsigned"
},
{
"emailAddress": "worker@example.com",
"id": "ca51f42c-0adc-4a77-8dd1-a03dd4fb955f",
"lastViewedAt": 0,
"name": "Jane Doe",
"order": 1,
"signedAt": 0,
"status": "unsigned"
}
],
"status": "awaiting business signature",
"subject": "The contract is ready for signature",
"templateId": "ca51f42c-0adc-4a77-8dd1-a03dd4fb955f",
"title": "Acme Corp has sent you a contract for signature"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Required when using a Platform API token. The tenant key identifying which business to operate on.
"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
Show child attributes
Whether to suppress email notifications (optional, defaults to false)
create contract response
"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
Contract name
"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
List of signatures required for the contract
Show child attributes
Contract status
Contract email subject
"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
Contract title